Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBRangeStatisticImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl
          com.sun.mfwk.cib.sdk.statistics.CIBRangeStatisticImpl

All Implemented Interfaces:
  CIBRangeStatistic, CIBStatistic, javax.management.j2ee.statistics.RangeStatistic, javax.management.j2ee.statistics.Statistic

public class CIBRangeStatisticImpl
extends CIBStatisticImpl
implements CIBRangeStatistic

Provides a default implementation of a CIBRangeStatistic

Constructor Summary
`CIBRangeStatisticImpl(java.lang.String name, java.lang.String description)` Constructor

Method Summary
`CIBStatistic` | `fromCompositeData(javax.management.openmbean.CompositeData data)` Returns a CIBStatistic object from a composite data
`long` | `getCurrent()` Get the current value of the statistic object
`long` | `getHighWaterMark()` Get the LowWaterMark of the statistic object
`long` | `getLowWaterMark()` Get the LowWaterMark of the statistic object
`void` | `reset()` Reset the statistic object
`void` | `setCurrent(long current)` Set the current value of the statistic object
`void` | `setHighWaterMark(long highWaterMark)` Set the highWaterMark of the statistic object
`void` | `setLowWaterMark(long lowWaterMark)` Set the lowWaterMark of the statistic object
`javax.management.openmbean.CompositeData` | `toCompositeData()` Returns a composite data representing the statistic object
`java.lang.String` | `toString()` Returns a printable statistic object

Methods inherited from class com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, setLastSampleTime, setStartTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### CIBRangeStatisticImpl

    public CIBRangeStatisticImpl(java.lang.String name,
                                 java.lang.String description)

  Constructor

Parameters:
  `name` - String
  `description` - String

Method Detail

### setCurrent

    public void setCurrent(long current)

  Set the current value of the statistic object

  Parameters:
    `current` - long

### setHighWaterMark

    public void setHighWaterMark(long highWaterMark)

  Set the highWaterMark of the statistic object

  Parameters:
    `highWaterMark` - long

### setLowWaterMark

    public void setLowWaterMark(long lowWaterMark)

  Set the lowWaterMark of the statistic object

  Parameters:
    `lowWaterMark` - long

### getCurrent

    public long getCurrent()

  Get the current value of the statistic object

  Specified by:
    `getCurrent` in interface `javax.management.j2ee.statistics.RangeStatistic`
  Returns:
    long

### getHighWaterMark

    public long getHighWaterMark()

  Get the LowWaterMark of the statistic object

  Specified by:
    `getHighWaterMark` in interface `javax.management.j2ee.statistics.RangeStatistic`
  Returns:
    long

### getLowWaterMark

    public long getLowWaterMark()

  Get the LowWaterMark of the statistic object

  Specified by:
    `getLowWaterMark` in interface `javax.management.j2ee.statistics.RangeStatistic`
  Returns:
    long

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  Returns a composite data representing the statistic object

  Specified by:
    `toCompositeData` in interface `CIBStatistic`
  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStatistic fromCompositeData(javax.management.openmbean.CompositeData data)

  Returns a CIBStatistic object from a composite data

  Specified by:
    `fromCompositeData` in interface `CIBStatistic`
  Returns:
    CIBStatistic

### reset

    public void reset()

  Reset the statistic object

  Overrides:
    `reset` in class `CIBStatisticImpl`

### toString

    public java.lang.String toString()

  Returns a printable statistic object

  Overrides:
    `toString` in class `CIBStatisticImpl`
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD